export default function useTriggerableFetch<Payload>(url: string, defaultOptions?: RequestInit): {
    trigger: (body?: any, options?: RequestInit | undefined) => any;
    data?: Payload | undefined;
    loading: boolean;
    error?: Error | undefined;
};
